Skip to content
GET /unified/knowledge-base/page-content/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for the page content

1 supported
Discourse
supported
bodyobject

The body of the page content

1 supported
Discourse
supported
contentstring

The content of the body

formatstring

The format of the body

Possible values:
markdownhtmlplaintext
created_atstring · date-time

The date and time the page content was created

1 supported
Discourse
supported
has_childrenboolean

Whether the page content has children

pageobject

The page the content belongs to

1 supported
Discourse
supported
idstring

The unique identifier for the page

page_typestring

The type of the page

Possible values:
landing-pagessite-pagesblog-posts
1 supported
Discourse
supported
parentobject

The parent of the page content

idstring

The unique identifier for the parent page content

typestring

The type of the parent

remote_dataRecord<string, any>

Raw data returned from the remote API call.

sequenceinteger

The order of the page content in the context of a page. Will increase sequentially from 0.

updated_atstring · date-time

The date and time the page content was last updated

1 supported
Discourse
supported
urlsobject[]

The URLs of the files attached in the page content

typestring

The URL type of the file

Possible values:
original_urltruto_download
urlstring

The URL of the file

visibilitystring

The visibility of the page

Possible values:
privatepublic
curl -X GET 'https://api.truto.one/unified/knowledge-base/page-content/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/knowledge-base/page-content/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/knowledge-base/page-content/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'knowledge-base',
  'pagecontent',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "knowledge-base",
        "pagecontent",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())